Subject: 8bit characters in the folder names

From: Vadim Zeitlin <[email-masked]>
Date: Mon, 14 Aug 2000 18:22:04 +0200 (CEST)

Hello,

 I'm confused again by c-client - this time by its [not] handling of
the 8bit characters in the folder names.

 If I understood Mark correctly, the idea is to always use
Unicode (UTF-7) for them to avoid problems with misinterpretations
of names written in one encoding when accessed by a user who uses
another encoding.

 Fine - I see this point. But why doesn't cclient do it itself?
It has the functions for translations between the known encodings
and UTF-7 used in rfc822 code, so why doesn't it take care of the
folder names as well? Some standard encoding scheme is needed
for the folder names and wouldn't it be better to implement it
in the library instead of leaving it to the programs?

 Thanks,
VZ
-- 
------------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/imap/c-client-list.html
------------------------------------------------------------------

---

From: Mark Crispin <[email-masked]>
Date: Mon, 14 Aug 2000 09:26:11 -0700 (PDT)

> of names written in one encoding when accessed by a user who uses

This is also an IMAP requirement.  c-client exports an IMAP type interface.

> in the library instead of leaving it to the programs?

The best way to understand this is to ask yourself these two questions:

1) How does c-client know what the human user thinks is the character set?

2) How does c-client supposed to know what the local operating system uses as
the character set for files?

If you think about these two questions carefully, you'll presently understand
that c-client does not (and can not) know in either case.

There are dozens of local character sets in use today, all overlapping.  c-
client has no knowledge of what character set you (the human user) use, nor
what the host operating system uses.

This is why local character sets are a bad thing.  The purpose of the
transition to Unicode is to eliminate such problems.  Refer to RFC 2130 for
more information.